Skip to main content
`Ctrl`+`K`

# scipy.special.cosdg

scipy.special.cosdg(x, out=None) = <ufunc 'cosdg'>

  Cosine of the angle x given in degrees.

  Parameters:
    x array_like

      Angle, given in degrees.

    out ndarray, optional

      Optional output array for the function results.

  Returns:
    scalar or ndarray

      Cosine of the input.

  See also

  `sindg`, `tandg`, `cotdg`

  Examples

      >>> import numpy as np
      >>> import scipy.special as sc

  It is more accurate than using cosine directly.

      >>> x = 90 + 180 * np.arange(3)
      >>> sc.cosdg(x)
      array([-0.,  0., -0.])
      >>> np.cos(x * np.pi / 180)
      array([ 6.1232340e-17, -1.8369702e-16,  3.0616170e-16])